Index: chuck_dl.h
===================================================================
RCS file: /cvs/chuck_dev/v2/chuck_dl.h,v
retrieving revision 1.21
diff -u -r1.21 chuck_dl.h
--- chuck_dl.h	10 Jun 2005 19:18:26 -0000	1.21
+++ chuck_dl.h	2 Jul 2005 15:26:56 -0000
@@ -534,6 +534,17 @@
 #endif
 
 
+#if 0
+#ifndef UGEN_CTOR
+#warning guessing definition for UGEN_CTOR
+#define UGEN_CTOR CK_DLL_EXPORT(void *)
+#endif
+
+#ifndef UGEN_DTOR
+#warning guessing definition for UGEN_DTOR
+#define UGEN_DTOR CK_DLL_EXPORT(void)
+#endif
+#endif
 
 
 #endif
Index: chuck_emit.cpp
===================================================================
RCS file: /cvs/chuck_dev/v2/chuck_emit.cpp,v
retrieving revision 1.139
diff -u -r1.139 chuck_emit.cpp
--- chuck_emit.cpp	10 Jun 2005 19:18:26 -0000	1.139
+++ chuck_emit.cpp	2 Jul 2005 15:26:57 -0000
@@ -1168,6 +1168,8 @@
             case te_dur:
                 emit->append( instr = new Chuck_Instr_Add_double );
                 break;
+	    default:
+		break;
             }
         }
         break;
@@ -1190,6 +1192,8 @@
             case te_dur:
                 emit->append( instr = new Chuck_Instr_Add_double_Assign );
                 break;
+	    default:
+		break;
             }
         }
         break;
@@ -1210,6 +1214,8 @@
             case te_dur:
                 emit->append( instr = new Chuck_Instr_Minus_double );
                 break;
+	    default:
+		break;
             }
         }
         break;
@@ -1230,6 +1236,8 @@
             case te_dur:
                 emit->append( instr = new Chuck_Instr_Minus_double_Assign );
                 break;
+	    default:
+		break;
             }
         }
         break;
@@ -1244,6 +1252,8 @@
         case te_dur:
             emit->append( instr = new Chuck_Instr_Times_double );
             break;
+	default:
+	    break;
         }
         break;
     
@@ -1256,6 +1266,8 @@
         case te_float:
             emit->append( instr = new Chuck_Instr_Times_double_Assign );
             break;
+	default:
+	    break;
         }
         break;
 
@@ -1273,7 +1285,9 @@
             case te_dur:
                 emit->append( instr = new Chuck_Instr_Divide_double );
                 break;
-            }
+	    default:
+		break;
+            }	    
         }
         break;
     
@@ -1291,6 +1305,8 @@
             case te_float:
                 emit->append( instr = new Chuck_Instr_Divide_double_Assign );
                 break;
+	    default:
+		break;
             }
         }
         break;
@@ -1301,6 +1317,8 @@
         case te_int:
             emit->append( instr = new Chuck_Instr_Binary_Or );
             break;
+	default:
+	    break;
         }
         break;
     
@@ -1310,6 +1328,8 @@
         case te_int:
             emit->append( instr = new Chuck_Instr_Binary_Or_Assign );
             break;
+	default:
+	    break;
         }
         break;
 
@@ -1319,6 +1339,8 @@
         case te_int:
             emit->append( instr = new Chuck_Instr_Binary_And );
             break;
+	default:
+	    break;
         }
         break;
 
@@ -1328,6 +1350,8 @@
         case te_int:
             emit->append( instr = new Chuck_Instr_Binary_And_Assign );
             break;
+	default:
+	    break;
         }
         break;
 
@@ -1337,6 +1361,8 @@
         case te_int:
             emit->append( instr = new Chuck_Instr_Binary_Shift_Left );
             break;
+	default:
+	    break;
         }
         break;
 
@@ -1347,6 +1373,8 @@
         case te_int:
             emit->append( instr = new Chuck_Instr_Binary_Shift_Left_Assign );
             break;
+	default:
+	    break;
         }
         break;
     
@@ -1356,6 +1384,8 @@
         case te_int:
             emit->append( instr = new Chuck_Instr_Binary_Shift_Right );
             break;
+	default:
+	    break;
         }
         break;
 
@@ -1366,6 +1396,8 @@
         case te_int:
             emit->append( instr = new Chuck_Instr_Binary_Shift_Right_Assign );
             break;
+	default:
+	    break;
         }
         break;
 
@@ -1385,6 +1417,8 @@
             case te_dur:
                 emit->append( instr = new Chuck_Instr_Mod_double );
                 break;
+	    default:
+		break;
             }
         }
         break;
@@ -1406,6 +1440,8 @@
             case te_dur:
                 emit->append( instr = new Chuck_Instr_Mod_double_Reverse );
                 break;
+	    default:
+		break;
             }
         }
         break;
@@ -1416,6 +1452,8 @@
         case te_int:
             emit->append( instr = new Chuck_Instr_Binary_Xor );
             break;
+	default:
+	    break;
         }
         break;
     
@@ -1425,6 +1463,8 @@
         case te_int:
             emit->append( instr = new Chuck_Instr_Binary_Xor_Assign );
             break;
+	default:
+	    break;
         }
         break;
 
@@ -1502,6 +1542,8 @@
             case te_time:
                 emit->append( instr = new Chuck_Instr_Eq_double );
                 break;
+	    default:
+		break;
             }
         }
         break;
@@ -1521,6 +1563,8 @@
             case te_time:
                 emit->append( instr = new Chuck_Instr_Neq_double );
                 break;
+	    default:
+		break;
             }
         }
         break;
@@ -1536,6 +1580,8 @@
         case te_time:
             emit->append( instr = new Chuck_Instr_Lt_double );
             break;
+	default:
+	    break;
         }
         break;
     
@@ -1550,6 +1596,8 @@
         case te_time:
             emit->append( instr = new Chuck_Instr_Le_double );
             break;
+	default:
+	    break;
         }
         break;
     
@@ -1564,6 +1612,8 @@
         case te_time:
             emit->append( instr = new Chuck_Instr_Gt_double );
             break;
+	default:
+	    break;
         }
         break;
     
@@ -1578,6 +1628,8 @@
         case te_time:
             emit->append( instr = new Chuck_Instr_Ge_double );
             break;
+	default:
+	    break;
         }
         break;
     
@@ -1587,6 +1639,8 @@
         case te_int:
             emit->append( instr = new Chuck_Instr_And );
             break;
+	default:
+	    break;
         }
         break;
     
@@ -1596,6 +1650,8 @@
         case te_int:
             emit->append( instr = new Chuck_Instr_Or );
             break;
+	default:
+	    break;
         }
         break;
 
Index: chuck_instr.cpp
===================================================================
RCS file: /cvs/chuck_dev/v2/chuck_instr.cpp,v
retrieving revision 1.92
diff -u -r1.92 chuck_instr.cpp
--- chuck_instr.cpp	10 Jun 2005 19:18:26 -0000	1.92
+++ chuck_instr.cpp	2 Jul 2005 15:26:57 -0000
@@ -2366,7 +2366,7 @@
 
     // append length
     char buffer[16];
-    sprintf( buffer, "---%d", m_length );
+    sprintf( buffer, "---%ld", m_length );
     strcat( m_param_str, buffer );
 }
 
Index: chuck_instr.h
===================================================================
RCS file: /cvs/chuck_dev/v2/chuck_instr.h,v
retrieving revision 1.44
diff -u -r1.44 chuck_instr.h
--- chuck_instr.h	8 Jun 2005 03:01:31 -0000	1.44
+++ chuck_instr.h	2 Jul 2005 15:26:58 -0000
@@ -79,7 +79,7 @@
 
 public:
     virtual const char * params() const
-    { static char buffer[256]; sprintf( buffer, "%d", m_jmp ); return buffer; }
+    { static char buffer[256]; sprintf( buffer, "%ld", m_jmp ); return buffer; }
 
 protected:
     t_CKUINT m_jmp;
@@ -100,7 +100,7 @@
 
 public:
     virtual const char * params() const
-    { static char buffer[256]; sprintf( buffer, "%d", m_val ); return buffer; }
+    { static char buffer[256]; sprintf( buffer, "%ld", m_val ); return buffer; }
 
 protected:
     t_CKUINT m_val;
@@ -1267,7 +1267,7 @@
     virtual void execute( Chuck_VM * vm, Chuck_VM_Shred * shred );
     virtual const char * params() const
     { static char buffer[256];
-      sprintf( buffer, "src=%d, base=%d", m_val, base );
+      sprintf( buffer, "src=%ld, base=%ld", m_val, base );
       return buffer; }
 
 protected:
@@ -1292,7 +1292,7 @@
     virtual void execute( Chuck_VM * vm, Chuck_VM_Shred * shred );
     virtual const char * params() const
     { static char buffer[256];
-      sprintf( buffer, "src=%d, base=%d", m_val, base );
+      sprintf( buffer, "src=%ld, base=%ld", m_val, base );
       return buffer; }
 
 protected:
@@ -1317,7 +1317,7 @@
     virtual void execute( Chuck_VM * vm, Chuck_VM_Shred * shred );
     virtual const char * params() const
     { static char buffer[256];
-      sprintf( buffer, "src=%d, base=%d", m_val, base );
+      sprintf( buffer, "src=%ld, base=%ld", m_val, base );
       return buffer; }
 
 protected:
@@ -1377,7 +1377,7 @@
     virtual void execute( Chuck_VM * vm, Chuck_VM_Shred * shred );
     virtual const char * params() const
     { static char buffer[256];
-      sprintf( buffer, "offset=%d, value=%d", m_offset, m_val );
+      sprintf( buffer, "offset=%ld, value=%ld", m_offset, m_val );
       return buffer; }
 
 protected:
@@ -1402,7 +1402,7 @@
     virtual void execute( Chuck_VM * vm, Chuck_VM_Shred * shred );
     virtual const char * params() const
     { static char buffer[256];
-      sprintf( buffer, "offset=%d, value=%f", m_offset, m_val );
+      sprintf( buffer, "offset=%ld, value=%f", m_offset, m_val );
       return buffer; }
 
 protected:
@@ -1910,7 +1910,7 @@
     virtual void execute( Chuck_VM * vm, Chuck_VM_Shred * shred );
     virtual const char * params() const
     { static char buffer[256];
-      sprintf( buffer, "size=%d, emit_addr=%d istr=%d", 
+      sprintf( buffer, "size=%ld, emit_addr=%ld istr=%ld", 
                m_size, m_emit_addr, m_istr );
       return buffer; }
 
@@ -1937,7 +1937,7 @@
     virtual void execute( Chuck_VM * vm, Chuck_VM_Shred * shred );
     virtual const char * params() const
     { static char buffer[256];
-      sprintf( buffer, "size=%d, emit_addr=%d", m_size, m_emit_addr );
+      sprintf( buffer, "size=%ld, emit_addr=%ld", m_size, m_emit_addr );
       return buffer; }
 
 protected:
@@ -1962,7 +1962,7 @@
     virtual void execute( Chuck_VM * vm, Chuck_VM_Shred * shred );
     virtual const char * params() const
     { static char buffer[256];
-      sprintf( buffer, "depth=%d, size=%d, emit_addr=%d", m_depth, m_size, m_emit_addr );
+      sprintf( buffer, "depth=%ld, size=%ld, emit_addr=%ld", m_depth, m_size, m_emit_addr );
       return buffer; }
 
 protected:
@@ -1988,7 +1988,7 @@
     virtual void execute( Chuck_VM * vm, Chuck_VM_Shred * shred );
     virtual const char * params() const
     { static char buffer[256];
-      sprintf( buffer, "offset=%d, size=%d, emit_addr=%d", m_offset, m_size, m_emit_addr );
+      sprintf( buffer, "offset=%ld, size=%ld, emit_addr=%ld", m_offset, m_size, m_emit_addr );
       return buffer; }
 
 protected:
@@ -2014,7 +2014,7 @@
     virtual void execute( Chuck_VM * vm, Chuck_VM_Shred * shred );
     virtual const char * params() const
     { static char buffer[256];
-      sprintf( buffer, "offset=%d", m_offset );
+      sprintf( buffer, "offset=%ld", m_offset );
       return buffer; }
 
 protected:
@@ -2038,7 +2038,7 @@
     virtual void execute( Chuck_VM * vm, Chuck_VM_Shred * shred );
     virtual const char * params() const
     { static char buffer[256];
-      sprintf( buffer, "offset=%d, size=%d, emit_addr=%d", m_offset, m_size, m_emit_addr );
+      sprintf( buffer, "offset=%ld, size=%ld, emit_addr=%ld", m_offset, m_size, m_emit_addr );
       return buffer; }
 
 protected:
@@ -2064,7 +2064,7 @@
     virtual void execute( Chuck_VM * vm, Chuck_VM_Shred * shred );
     virtual const char * params() const
     { static char buffer[256];
-      sprintf( buffer, "addr=%d, size=%d, emit_addr=%d", (t_CKUINT)m_addr, m_size, m_emit_addr );
+      sprintf( buffer, "addr=%ld, size=%ld, emit_addr=%ld", (t_CKUINT)m_addr, m_size, m_emit_addr );
       return buffer; }
 
 protected:
@@ -2090,7 +2090,7 @@
     virtual void execute( Chuck_VM * vm, Chuck_VM_Shred * shred );
     virtual const char * params() const
     { static char buffer[256];
-      sprintf( buffer, "func=%d", (t_CKUINT)m_func );
+      sprintf( buffer, "func=%ld", (t_CKUINT)m_func );
       return buffer; }
 
 protected:
Index: chuck_type.cpp
===================================================================
RCS file: /cvs/chuck_dev/v2/chuck_type.cpp,v
retrieving revision 1.272
diff -u -r1.272 chuck_type.cpp
--- chuck_type.cpp	30 Jun 2005 14:32:05 -0000	1.272
+++ chuck_type.cpp	2 Jul 2005 15:27:00 -0000
@@ -968,6 +968,8 @@
             LR( te_int, te_float ) left = lhs->cast_to = &t_float;
             else LR( te_float, te_int ) right = rhs->cast_to = &t_float;
         break;
+	default:
+	    break;
         }
 
         // no commute - int/float
@@ -981,6 +983,8 @@
             // mark for cast
             LR( te_int, te_float ) left = lhs->cast_to = &t_float;
         break;
+	default:
+	    break;
         }
         
         // int/dur
@@ -1023,6 +1027,8 @@
             return NULL;
         }
     break;
+    default:
+	break;
     }
     
     // make sure
@@ -1053,6 +1059,8 @@
         rhs->emit_var = 1;
 
         break;
+    default:
+	break;
     }
 
     // based on the op
@@ -1155,6 +1163,8 @@
         LR( te_float, te_float ) return &t_float;
         LR( te_dur, te_dur ) return &t_dur;
     break;
+    default:
+	break;
     }
 
     // no match
@@ -1461,7 +1471,9 @@
 
             // return the type
             return t;
-        break;
+	 break;
+    default:
+      break;
     }
     
     // no match
Index: rtaudio.h
===================================================================
RCS file: /cvs/chuck_dev/v2/rtaudio.h,v
retrieving revision 1.1
diff -u -r1.1 rtaudio.h
--- rtaudio.h	19 Sep 2004 22:28:48 -0000	1.1
+++ rtaudio.h	2 Jul 2005 15:27:00 -0000
@@ -192,7 +192,7 @@
     CallbackInfo callbackInfo;
     //XXX VC6 throws an error using UNINITIALIZED ( protected member ) 
     RtApiStream()
-       :apiHandle(0), userBuffer(0), deviceBuffer(0), sub_mode((enum RtApi::StreamMode)-75) {}
+       :apiHandle(0), sub_mode((enum RtApi::StreamMode)-75), userBuffer(0), deviceBuffer(0) {}
     //      mode(UNINITIALIZED), state(STREAM_STOPPED),
   };
 
Index: util_opsc.cpp
===================================================================
RCS file: /cvs/chuck_dev/v2/util_opsc.cpp,v
retrieving revision 1.9
diff -u -r1.9 util_opsc.cpp
--- util_opsc.cpp	10 Jun 2005 16:01:11 -0000	1.9
+++ util_opsc.cpp	2 Jul 2005 15:27:00 -0000
@@ -1217,16 +1217,16 @@
 // OSC_RECEIVER
 
 OSC_Receiver::OSC_Receiver():
+    _listening(false),
     _inbufsize(OSCINBUFSIZE),
     _inbox(NULL),
-    _address_space (NULL),
-    _address_size ( 2 ),
-    _address_num ( 0 ), 
     _inbox_size(2),
     _started(false),
     _in_read(0),
     _in_write(1),
-    _listening(false)
+    _address_space (NULL),
+    _address_size ( 2 ),
+    _address_num ( 0 )
 { 
 
     _inbox = (OSCMesg*) malloc (sizeof(OSCMesg) * _inbox_size);
Index: util_string.cpp
===================================================================
RCS file: /cvs/chuck_dev/v2/util_string.cpp,v
retrieving revision 1.4
diff -u -r1.4 util_string.cpp
--- util_string.cpp	1 Jun 2005 18:47:47 -0000	1.4
+++ util_string.cpp	2 Jul 2005 15:27:00 -0000
@@ -43,7 +43,7 @@
 string itoa( t_CKINT val )
 {
     char buffer[128];
-    sprintf( buffer, "%i", val );
+    sprintf( buffer, "%li", val );
     return string(buffer);
 }
 
@@ -58,7 +58,7 @@
     char str[32];
     char buffer[128];
     if( precision > 32 ) precision = 32;
-    sprintf( str, "%%.%if", precision );
+    sprintf( str, "%%.%lif", precision );
     sprintf( buffer, str, val );
     return string(buffer);
 }
